%define major 2
%define libname %mklibname smbios %major
%define devname %mklibname smbios -d

Name:           libsmbios
Version:        2.4.3
Release:        %mkrel 1
Summary:        Libraries to get information from standard BIOS tables
License:        GPLv2+
Url:            http://linux.dell.com/libsmbios/main/
Group:          System/Kernel and hardware
Source0:        https://github.com/dell/libsmbios/archive/v%{version}/libsmbios-%{version}.tar.xz
Patch0001:      0001-libsmbios-fix-more-places-with-loop-iterators-with-b.patch
BuildRequires:  gettext-devel
BuildRequires:  doxygen
BuildRequires:  help2man
BuildRequires:	libxml2-devel
BuildRequires:	cppunit-devel

%description
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n %libname
Summary:        Libraries to get information from standard BIOS tables
Group:          System/Kernel and hardware

%description -n %libname
Libsmbios is a library and utilities that can be used by client programs
to get information from standard BIOS tables, such as the SMBIOS table.

%package -n %devname
Summary:        Development files for libsmios
Group:          Development/Libraries
Requires:       %libname = %{version}

%description -n %devname
Libsmbios is a library and utilities that can be used by client programs to get
information from standard BIOS tables, such as the SMBIOS table.

This package contains the necessary files to compile new client programs
against libsmbios.

%package utils
Summary:        Binary utilities that use libsmbios
Group:          System/Kernel and hardware

%description utils
Get BIOS information, such as System product name, product id, service tag and
asset tag.

%prep
%setup -q
%apply_patches

%build
[ -e ./configure ] || PACKAGE_VERSION=%{version} ./autogen.sh --no-configure
%configure2_5x \
  --disable-rpath \
  --disable-libsmbios_cxx \
  --disable-graphviz \
  --disable-python

%make_build

%install
%make_install

mkdir -p %{buildroot}%{_includedir}
cp -a src/include/*  %{buildroot}/%{_includedir}/
cp -a out/public-include/* %{buildroot}/%{_includedir}/
rm -f %{buildroot}/%{_libdir}/lib*.{la,a}

%find_lang libsmbios

%files -n %libname -f libsmbios.lang
%{_libdir}/libsmbios_c.so.%{major}*

%files -n %devname
%{_includedir}/smbios/
%{_includedir}/smbios_c/
%exclude   /usr/include/Makefile.am
%{_libdir}/libsmbios_c.so
%{_libdir}/pkgconfig/libsmbios_c*.pc

%files utils
%{_sbindir}/smbios-get-ut-data
%{_sbindir}/smbios-state-byte-ctl
%{_sbindir}/smbios-sys-info-lite
%{_sbindir}/smbios-upflag-ctl
%{_mandir}/man1/*


%changelog
* Sat May 09 2020 tex - 2.4.3-1pclos2020
- new version: 2.4.3
